> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 代收查询

> 查询代收订单状态

<div class="flex flex-col gap-4">
  <div class="api-section-heading flex flex-col gap-y-4 w-full">
    <div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4 class="api-section-heading-title flex-1 mb-0">密钥私钥(生成签名)</h4>
    </div>

    <div />
  </div>

  <input id="secret-key" placeholder="密钥" class="px-3 py-2 border rounded-md" />

  <input id="private-key" placeholder="私钥" class="px-3 py-2 border rounded-md" />
</div>

## 相关主题

* [土耳其支付接口](/docs/zh/api/version2/Turkey)
* [HaiPay API 文档简介](/docs/zh/api-reference/overview)
* [HaiPay 配置与签名指南](/docs/zh/guide/config_settings_and_signature_rules_guide)


## OpenAPI

````yaml docs/zh/api-reference/try/try.openapi.json POST /try/collect/query
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /try/collect/query:
    post:
      tags: []
      summary: 土耳其里拉代收查询
      description: |-
        创建代收订单
        当“payType=BANK_TRANSFER” 时同步返回orderNo可以直接查询
        其他支付方式异步通知后，通过orderNo查询二次确认状态
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，需要根据URL中的币种传递对应的业务ID）
                orderId:
                  type: string
                  description: 商户订单号
                orderNo:
                  type: string
                  description: 平台订单号（响应快）
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - orderId
                - sign
            example:
              appId: 1054
              orderId: M22222000028
              sign: >-
                EmyJGm3ELzG4FsOd0Krs9ncbSjo4oTGuXWML+7djYla3+VAwd9wS17z38p/7U2ZAjroO04XrE7YXcB1o76Dtyipj3h3bJzs7FYma1QNkMUdt9hh7m8U6hMsMQX7vIWHtXNwz4pbTSC75+kQWXaCew7KoE6LXECdJU8AISgNgeki2TK9R0pCfshr0Z2SZBPeuT6OvIH5LdmqgdZhuqnffGU2qnXk4KMkO848e6/WALLBR+LE1wyKHfPnYVcuKSMVYxkvKyyIL5JIPEgW0o5bh4RCbaUn3NZtyYwrU1uQ3ZDFRThm9j6XAQP+LBlmq3nOePqBtp/VDVarRaV+7FbQg3A==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 响应状态码
                  error:
                    type: string
                    description: 错误码
                  msg:
                    type: string
                    description: 响应消息
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: 商户订单号(必须保证唯一性)
                      orderNo:
                        type: string
                        description: 平台订单号
                      amount:
                        type: string
                        description: 交易金额
                      actualAmount:
                        type: string
                        description: 收到金额
                      fee:
                        type: string
                        description: 手续费
                      status:
                        type: integer
                        description: 状态(0未开始,1收款中,2收款成功,3收款失败,-1异常待确认)
                        enum:
                          - 0
                          - 1
                          - 2
                          - 3
                          - -1
                      payTime:
                        type: string
                        description: '支付成功时间（当status=2时有值）, 格式: yyyy-MM-dd HH:mm:ss'
                        pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}$
                      errorMsg:
                        type: string
                        description: 支付失败原因（当status=3时有值）
                      sign:
                        type: string
                        description: 签名
              example:
                status: '1'
                error: '00000000'
                msg: ''
                data:
                  orderId: M22222000028
                  orderNo: '6023042811314347'
                  amount: '50.00'
                  actualAmount: '0.00'
                  fee: '0.00'
                  status: 1
                  sign: >-
                    fP433ygWVDLVGxYkVnIJj7riGq0U3vyVX+MbBAImxfGLZkZcEAHVEoVYuULZSmXAAXKRSyd67WlDNm+24pougM54ofAoH4HMtCL2tfCoBReFyz3z02AGKkrKE2xWhSpWoqfQoBvzwuN5iGMMu0s9Q1YvqiwJ8WDVIENnmiIyD8qDJN7caHTW2US14/faG+69AvnuIgJ/nu7/jogOlgEYdZdVYU7gcRDE+d47KjlFGswQkJ/h/uzV7cWtUqrtOO7ZnZ3/z33Xx8awokX36QoYcPSWAU0h+Ij9O9402HNhm1eTbYcLU0uI/z8xCAtyAI/tTyiFijpiNlxUKQj+zKsILw==
      deprecated: false
      security: []

````